# List recent delivery attempts for a webhook endpoint, newest first `GET /webhooks/{id}/deliveries` **Required scope:** `webhooks:manage` Useful for diagnosing a subscriber that is not receiving events. ## Parameters | Name | In | Required | Description | |---|---|---|---| | `id` | path | yes | id of the target record | ## Responses | Status | Meaning | |---|---| | `200` | Success | | `400` | BadRequest | | `401` | Unauthorized | | `403` | Forbidden | | `429` | RateLimited | ## Example ```bash curl -X GET "https://backend.immut.io/api/v1/webhooks//deliveries" \ -H "Authorization: Bearer $IMMUT_API_KEY" ``` ## OpenAPI fragment ```json { "/webhooks/{id}/deliveries": { "get": { "operationId": "getwebhooksiddeliveries", "summary": "List recent delivery attempts for a webhook endpoint, newest first. Useful for diagnosing a subscriber that is not receiving events.", "description": "List recent delivery attempts for a webhook endpoint, newest first. Useful for diagnosing a subscriber that is not receiving events.", "parameters": [ { "name": "id", "in": "path", "required": true, "schema": { "type": "string" }, "description": "id of the target record" } ], "responses": { "200": { "description": "Success" }, "400": { "$ref": "#/components/responses/BadRequest" }, "401": { "$ref": "#/components/responses/Unauthorized" }, "403": { "$ref": "#/components/responses/Forbidden" }, "429": { "$ref": "#/components/responses/RateLimited" } }, "tags": [ "Webhooks" ], "x-required-scope": "webhooks:manage" } } } ```